# DataExchange
TKSTEP209
StepElement

# StepElement_HArray2OfSurfaceElementPurpose Class Reference

`#include <StepElement_HArray2OfSurfaceElementPurpose.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_HArray2OfSurfaceElementPurpose (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepElement_HArray2OfSurfaceElementPurpose (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const StepElement_SurfaceElementPurpose &V)
Standard_EXPORT void | Init (const StepElement_SurfaceElementPurpose &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const StepElement_SurfaceElementPurpose &Value)
Standard_EXPORT const StepElement_SurfaceElementPurpose & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT StepElement_SurfaceElementPurpose & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const StepElement_Array2OfSurfaceElementPurpose & | Array2 () const
StepElement_Array2OfSurfaceElementPurpose & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_Array2OfSurfaceElementPurpose | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray2OfSurfaceElementPurpose::StepElement_HArray2OfSurfaceElementPurpose | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepElement_HArray2OfSurfaceElementPurpose::StepElement_HArray2OfSurfaceElementPurpose | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const StepElement_SurfaceElementPurpose & | V
| ) |

## Member Function Documentation

const StepElement_Array2OfSurfaceElementPurpose& StepElement_HArray2OfSurfaceElementPurpose::Array2 | ( |  | ) | const

StepElement_Array2OfSurfaceElementPurpose& StepElement_HArray2OfSurfaceElementPurpose::ChangeArray2 | ( |  | ) |

Standard_EXPORT StepElement_SurfaceElementPurpose& StepElement_HArray2OfSurfaceElementPurpose::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::ColLength | ( |  | ) | const

Standard_EXPORT const StepElement_HArray2OfSurfaceElementPurpose::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray2OfSurfaceElementPurpose::Init | ( | const StepElement_SurfaceElementPurpose & | V | ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::LowerCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::LowerRow | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::RowLength | ( |  | ) | const

void StepElement_HArray2OfSurfaceElementPurpose::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const StepElement_SurfaceElementPurpose & | Value
| ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::UpperCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurpose::UpperRow | ( |  | ) | const

Standard_EXPORT const StepElement_SurfaceElementPurpose& StepElement_HArray2OfSurfaceElementPurpose::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

StepElement_Array2OfSurfaceElementPurpose StepElement_HArray2OfSurfaceElementPurpose::myArray`[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray2OfSurfaceElementPurpose.hxx